=== debian/changelog ===
liblip (2.0.0-4) unstable; urgency=medium

  * QA upload.
  * Migrate some basic part of the packaging to use classic debhelper.
    Migrating to use `dh` is for another day.
  * Set `Rules-Requires-Root` to `no`.

 -- Niels Thykier <niels@thykier.net>  Wed, 06 Nov 2024 19:35:16 +0000

liblip (2.0.0-3) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.7.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * debian/control: Remove empty control field Conflicts in
    package liblip2t64.
  * Remove field Priority on binary packages liblip-dev, liblip2t64
    that duplicates source.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Jun 2024 12:57:07 +0200

liblip (2.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062399

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 23:44:01 +0000

liblip (2.0.0-2) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0.

 -- Bastian Germann <bage@debian.org>  Wed, 09 Aug 2023 17:43:43 +0200

liblip (2.0.0-1.5) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Support cross-building (Closes: #1001513)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 15 Dec 2022 14:21:26 -0800

liblip (2.0.0-1.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Nilesh Patra ]
  * Build reproducibly (Closes: #989583)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 15 Dec 2022 13:49:39 -0800

liblip (2.0.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999142).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 16:18:09 -0300

liblip (2.0.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add autotools-dev for updated config.{sub,guess} (Closes: #534817)

 -- Chen Baozi <baozich@gmail.com>  Thu, 05 Jun 2014 16:22:13 +0800

liblip (2.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    - Fix bashisms (Closes: #378597).
    - Fix debian-rules-ignores-make-clean-error lintian warnings.
  * debian/control:
    - Move to new Homepage field.
    - Use ${binary:Version} instead of deprecated ${Source-Version},
      fix substvar-source-version-is-deprecated lintian warning.
  * debian/shlibs:
    - Move to liblip2, fix shlibs-declares-dependency-on-other-package
      lintian warning.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 15 Jan 2008 20:48:51 +0100

liblip (2.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Juan Esteban Monsalve Tobon <esteban@v7w.com>  Sun, 16 Jul 2006 16:13:29 +1000

liblip (1.2-3) unstable; urgency=low

  * New maintainer.

 -- Juan Esteban Monsalve Tobon <esteban@v7w.com>  Sun, 10 Apr 2005 12:58:01 +1000

liblip (1.2-2) unstable; urgency=low

  * Fixed "FTBFS with gcc-3.4: 'data' undeclared" (Closes: #280289).
    Patch by Andreas Jochens <aj@andaco.de>.
  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 18 Feb 2005 16:51:20 +1100

liblip (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Thu, 26 Aug 2004 17:53:28 +1000

liblip (1.0-1) unstable; urgency=low

  * Initial release (Closes: #249394).

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Thu, 20 May 2004 05:46:32 +1000
